插入的位置与最终在场景中渲染出来的位置不同

private static void drawText(double ptStartX, double ptStartY, double ptEndX, double ptEndY)
{
BIM.Application app = Bentley.MstnPlatformNET.InteropServices.Utilities.ComApp;
BIM.Point3d ptStart = app.Point3dZero();
ptStart.X = 409688.36;
ptStart.Y = 3398469.94;
BIM.Matrix3d matrizIdentidad = app.Matrix3dIdentity();
BIM.TextElement textEle = app.CreateTextElement1 (null, "PLANO PARCELA", ref ptStart, ref matrizIdentidad);
//textEle.Color = 1; textEle.LineWeight = 2;
app.ActiveModelReference.AddElement(textEle);
BIM.Point3d pOrigin = textEle.get_Origin();
MessageBox.Show("Origin is: " + pOrigin.X.ToString() + "," + pOrigin.Y.ToString());
}

代码如上 插入的位置与最终在场景中渲染出来的位置不同

Parents Reply Children